Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Michael Heerdegen <[email-masked]>
Date: Fri, 20 Oct 2023 07:00:55 +0200

Thierry Volpiatto <[email-masked]> writes:

> There is only RET as additional key and it is a good thing IMO as it let
> the time to user to see what he is doing.  Anyway using a real
> minibuffer with its keymap is much better and allows further
> modifications in the future to fit the needs of everybody. Using
> read-key doesn't allow more alternatives.

For keys like C-a you also need to hit C-q.  It's not 100% compatible.

But wait: What I find confusing is that I also need need to confirm for
`jump-to-register'.  Is this intended?

> Note that now you can use M-n to select in minibuffer the available
> keys (this only for setting or modifying a register).

In Helm or in vanilla Emacs?  I don't see that for M-n in vanilla Emacs.

Oh, and there is a little bug when the register binding list is empty
(e.g. after restarting Emacs): your code errors because Emacs does not
pop up a preview window in that case.

Michael.